asl-lite update is not working

jay.c
New Forum User
New Forum User
Posts: 1
Joined: Wed Sep 05, 2012 9:56 pm
Location: Toronto

asl-lite update is not working

Unread post by jay.c »

I have installed asl-lite by running:

wget -q -O - http://www.atomicorp.com/installers/asl-lite |sh

but however if I run asl-lite -c or -u:

Code: Select all

asl-lite -u
Configuring Atomic Secured Linux - Rule Updater for your system. 

Starting first time configuration...
General Settings
it just stopped/hanged on this "General settings" line.

not sure what's going on. Please help.
User avatar
mikeshinn
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
Posts: 4132
Joined: Thu Feb 07, 2008 7:49 pm
Location: Chantilly, VA

Re: asl-lite update is not working

Unread post by mikeshinn »

What Linux distribution are you using?
byronrode
New Forum User
New Forum User
Posts: 2
Joined: Mon Sep 10, 2012 8:22 pm
Location: Cape Town, South Africa

Re: asl-lite update is not working

Unread post by byronrode »

I had the same issue, but it's not actually hanging - there is just no output to STDOUT.

If you are at that screen and type a username > enter > password > enter > confirm password > enter, you will start to see output.

It is definitely buggy though. Further steps have no output either.

Running on CentOS 6.3 Stable.
scott
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
Posts: 8338
Joined: Wed Dec 31, 1969 8:00 pm
Location: earth
Contact:

Re: asl-lite update is not working

Unread post by scott »

Usually thats caused by the terminal you're using to log into the system not supporting the full character set or setting the wrong type. ASL-lite is going away real soon anyway, so I wouldn't spend too much time on it any more.
byronrode
New Forum User
New Forum User
Posts: 2
Joined: Mon Sep 10, 2012 8:22 pm
Location: Cape Town, South Africa

Re: asl-lite update is not working

Unread post by byronrode »

I ended up going with the 30 day trial of ASL.
Thanks.
Imaging
Forum Regular
Forum Regular
Posts: 337
Joined: Sat Sep 25, 2010 2:46 pm

Re: asl-lite update is not working

Unread post by Imaging »

scott wrote:Usually thats caused by the terminal you're using to log into the system not supporting the full character set or setting the wrong type. ASL-lite is going away real soon anyway, so I wouldn't spend too much time on it any more.
Scott:

For those of us who use asl-lite on some systems while using the full ASL on other systems, is there going to be a replacement for the ASL-lite functionality?

Thanks.
scott
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
Posts: 8338
Joined: Wed Dec 31, 1969 8:00 pm
Location: earth
Contact:

Re: asl-lite update is not working

Unread post by scott »

Yup, its going to be replaced by AUM. ASL users have access to that now.
Imaging
Forum Regular
Forum Regular
Posts: 337
Joined: Sat Sep 25, 2010 2:46 pm

Re: asl-lite update is not working

Unread post by Imaging »

Thanks.
londoh
Forum User
Forum User
Posts: 28
Joined: Sat Oct 16, 2010 12:05 pm

Re: asl-lite update is not working

Unread post by londoh »

scott wrote:Usually thats caused by the terminal you're using to log into the system not supporting the full character set or setting the wrong type
so I just installed a 30day trial asl-lite and if get this issue and I'm on fedora 17/kde using konsole to login to a fresh install of centos 6.3 - how would I fix it?
scott wrote:ASL-lite is going away real soon anyway, so I wouldn't spend too much time on it any more
so I guess 'real soon' isnt quite here yet, but its hard to spend any time on it at all if it doesnt work!

or maybe there's something I missed?
User avatar
mikeshinn
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
Posts: 4132
Joined: Thu Feb 07, 2008 7:49 pm
Location: Chantilly, VA

Re: asl-lite update is not working

Unread post by mikeshinn »

Keep in mind that asl-lite is not a supported product, its a free tool we provide. If you want a supported product for managing modsecurity, use ASL.
londoh
Forum User
Forum User
Posts: 28
Joined: Sat Oct 16, 2010 12:05 pm

Re: asl-lite update is not working

Unread post by londoh »

thanks for reply
Keep in mind that asl-lite is not a supported product, its a free tool we provide
well altho it was my intention to pay, the 'free' part is correct so far.
But the 'tool' part implies some useful functionality, rather than a waste of my time.

Anyway leaving the semantics aside... I signed up for a 30 day trial of this:
https://www.atomicorp.com/products/modsecurity.html

So is asl-lite not supported as part of that offering?

and if not: are the real time rules just manual install and update?
User avatar
mikeshinn
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
Posts: 4132
Joined: Thu Feb 07, 2008 7:49 pm
Location: Chantilly, VA

Re: asl-lite update is not working

Unread post by mikeshinn »

and if not: are the real time rules just manual install and update?
Thanks for the question. Yes, rules only licenses are Do It Yourself. We provide our rules for our partners and customers that can build and support their own WAFs. Instructions for setting up the rules are provided at the URL below:

https://www.atomicorp.com/wiki/index.ph ... rity_Rules

If you need a solution that sets this up for you and support for your WAF, then you will want to use Atomic Secured Linux (ASL). ASL includes the WAF, GUI, Event Manager, Rule updater, SIM, Rule Manager, IDS/IPS, Reverse Proxy and everything else and sets everything up for your automatically.

https://www.atomicorp.com/products/asl.html
Post Reply